=== debian/changelog ===
plasma-discover (5.27.8-0ubuntu2) mantic; urgency=medium

  * Allow an alternative XDG portal after KDE's (LP: #2036098).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Sep 2023 11:45:31 -0500

plasma-discover (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:27 +0100

plasma-discover (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde for snap and flatpak backend.
    - Recommend the snap backend and software-properties-qt.
    - Split out the notifier to a seperate plasma-discover-notifier
      package and recommend this.
  * Add missing runtime depend on qml-module-org-kde-purpose.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Sep 2023 10:42:24 +0100

plasma-discover (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:49:59 +0200

plasma-discover (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:13:40 +0100

plasma-discover (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:06 +0100

plasma-discover (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:21 +0100
