=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Matthias Klumpp <mak@debian.org>,
@@ -10,7 +11,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kirigami2-dev (>= 2.7.0),
+               kirigami2-dev (>= 5.102.0~),
                kuserfeedback-dev,
                libappstreamqt-dev (>= 0.15.3~),
                libcurl4-gnutls-dev,
@@ -18,7 +19,7 @@
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.5.0~) [linux-any],
                libkf5archive-dev (>= 5.102.0~),
-               libkf5attica-dev (>= 5.23~),
+               libkf5attica-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
@@ -28,7 +29,7 @@
                libkf5idletime-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
-               libkf5newstuff-dev (>= 5.53~),
+               libkf5newstuff-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5purpose-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
@@ -42,8 +43,8 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
 Rules-Requires-Root: no
 
 Package: plasma-discover
@@ -56,6 +57,7 @@
          qml-module-org-kde-kirigami2 (>= 5.42),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-purpose,
          qml-module-org-kde-qqc2desktopstyle,
          qml-module-qtquick-dialogs,
          ${misc:Depends},
@@ -65,6 +67,8 @@
             apt-config-icons-large-hidpi,
             kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
+            plasma-discover-backend-snap,
+            plasma-discover-notifier,
             software-properties-qt,
 Suggests: plasma-discover-backend-flatpak [linux-any],
 Description: Discover software management suite
@@ -79,10 +83,32 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-notifier
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
+Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
+Description: Discover software management suite - Update Notifier
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ By allowing to navigate a software library by search, categories, top lists
+ along with detailed application information that includes screenshots
+ and reviews, users can more quickly find applications that suit their needs.
+ .
+ Discover will also keep the system up to date by notifying about updates and
+ installing them.
+ .
+ This package contains the update notifier and indicator.
+
 Package: plasma-discover-backend-flatpak
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: plasma-discover (<< 5.19.4-2~),
@@ -111,6 +137,7 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: snapd,
