=== libdiscover/backends/CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
         Qt::Test Qt::Core ${EXTRA_LIBS})
 endfunction()
 
-if(KF5Attica_FOUND AND KF5NewStuff_FOUND AND AppStreamQt_FOUND)
+if(KF5Attica_FOUND AND KF5NewStuff_FOUND AND DISCOVER_AppStreamQt_FOUND)
    add_subdirectory(KNSBackend)
 endif()
 
-if(packagekitqt5_FOUND AND AppStreamQt_FOUND)
+if(packagekitqt5_FOUND AND DISCOVER_AppStreamQt_FOUND)
     add_subdirectory(PackageKitBackend)
 endif()
 
@@ -22,10 +22,10 @@
 endif()
 
 option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
-if(Flatpak_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
+if(Flatpak_FOUND AND DISCOVER_AppStreamQt_FOUND AND BUILD_FlatpakBackend)
     add_subdirectory(FlatpakBackend)
 elseif(BUILD_FlatpakBackend)
-    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
+    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${DISCOVER_AppStreamQt_FOUND} not found")
 endif()
 
 find_package(Snapd)
@@ -41,7 +41,7 @@
 endif()
 
 option(BUILD_SnapBackend "Build Snap support." "ON")
-if(BUILD_SnapBackend AND AppStreamQt_FOUND AND Snapd_FOUND)
+if(BUILD_SnapBackend AND DISCOVER_AppStreamQt_FOUND AND Snapd_FOUND)
     add_subdirectory(SnapBackend)
 endif()
