=== debian/changelog ===
plasma-discover (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:59:55 +0000

plasma-discover (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:20:26 +0000

plasma-discover (5.27.10.1-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:25:47 +0000

plasma-discover (5.27.10.1-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:29:06 +0000

plasma-discover (5.27.10.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:40:52 +0000

plasma-discover (5.27.10.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde or an alternative for snap
      and flatpak backend.
    - Depend on qml-module-org-kde-purpose.
    - Recommend the snap backend and software-properties-qt.
    - Split out the notifier to a seperate plasma-discover-notifier
      package and recommend this.
    - Demote kde-config-updates to suggests to make sure that this is not
      pulled onto the Lubuntu default install. Kubuntu or other flavours
      who want this can seed it directly as a recommends.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:06:04 -0700

plasma-discover (5.27.10.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10.1).

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Jan 2024 08:52:51 +0100

plasma-discover (5.27.10.1-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jan 2024 10:34:33 +0000

plasma-discover (5.27.10-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:18:10 +0100

plasma-discover (5.27.10-1ubuntu2) noble; urgency=medium

  * Demote kde-config-updates to suggests to make sure that this is not
    pulled onto the Lubuntu default install. Kubuntu or other flavours
    who want this can seed it directly as a recommends.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Dec 2023 14:56:02 +0000

plasma-discover (5.27.10-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde or an alternative for snap
      and flatpak backend.
    - Depend on qml-module-org-kde-purpose.
    - Recommend the snap backend and software-properties-qt.
    - Split out the notifier to a seperate plasma-discover-notifier
      package and recommend this.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Dec 2023 14:03:35 +0000

plasma-discover (5.27.10-1) unstable; urgency=medium

  * Explicitly depend on Qt5 AppStream
  * New upstream release (5.27.10)

 -- Matthias Klumpp <mak@debian.org>  Sun, 17 Dec 2023 19:34:05 +0100

plasma-discover (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:34 +0000

plasma-discover (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:50:43 +0200

plasma-discover (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:17:39 +0100

plasma-discover (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:10 +0200
