=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                gettext,
                kirigami2-dev (>= 5.102.0~),
                kuserfeedback-dev,
-               libappstreamqt-dev (>= 0.15.3~),
+               libappstreamqt5-dev (>= 1.0.0),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.11.8~) [linux-any],
@@ -38,7 +38,7 @@
                libqca-qt5-2-dev,
                libqt5webview5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mips64el],
                libsnapd-qt-dev (>= 1.30) [linux-any],
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
@@ -65,12 +65,11 @@
 Recommends: apt-config-icons-hidpi,
             apt-config-icons-large,
             apt-config-icons-large-hidpi,
-            kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
             plasma-discover-backend-snap,
             plasma-discover-notifier,
             software-properties-qt,
-Suggests: plasma-discover-backend-flatpak [linux-any],
+Suggests: kde-config-updates, plasma-discover-backend-flatpak [linux-any],
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
