## plasma-discover 5.27.12-0ubuntu0.1trisquel2

=== debian/changelog ===
plasma-discover (5.27.12-0ubuntu0.1trisquel2) ecne; urgency=medium

  * Disable kns, snap, fwupd and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Mar 2025 18:22:33 +0000
