=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -17,7 +17,6 @@
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.11.8~) [linux-any],
-               libfwupd-dev (>= 1.5.0~) [linux-any],
                libkf5archive-dev (>= 5.102.0~),
                libkf5attica-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
